import { LoadingBillTableInfoUrl } from '../js/api';
import {setBillColumns} from '../../$common/mainTable/tableConfig_bill.js'

export const setMainColumns = setBillColumns

export default {
  data() {
    let url=LoadingBillTableInfoUrl(this)
    return {
      mx_remoteParams: {},
      mx_remoteUrl:url[this.type],
      mx_columns:setMainColumns(this),
      mx_selectedRowKeys: [],
    };
  },
  watch: {
    tableExtendedField(value) {
      if (value.length > 0) {
        this.mx_columns = setMainColumns(this, value)
      }
    },
  },
  methods: {

  }
};
